Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13
  1. #11
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    6,324
    Plugin Contributions
    85

    Default Re: Upgrade Zencart version 1.5.6

    These warnings are coming from my mods. You need the updates to my mods to get the PHP7 changes. Go to my store and get them.
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  2. #12
    Join Date
    Mar 2019
    Location
    Montreal
    Posts
    18
    Plugin Contributions
    0

    Default Re: Upgrade Zencart version 1.5.6

    v156a and php 7.2

    I get these:

    PHP Warning: count(): Parameter must be an array or an object that implements Countable in .../admin/includes/functions/extra_functions/edit_orders_functions.php on line 662.
    PHP Warning: Use of undefined constant MODULE_PAYMENT_PAYPAL_TESTING - assumed 'MODULE_PAYMENT_PAYPAL_TESTING' (this will throw an Error in a future version of PHP) in .../includes/init_includes/init_header.php on line 27.
    PHP Warning: sizeof(): Parameter must be an array or an object that implements Countable in .../includes/templates/template_default/templates/tpl_modules_shipping_estimator.php on line 134.
    Are they all related to the same issue and is it bad for shopping cart for me to change to php 7.1 and avoid all that?

  3. #13
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    8,519
    Plugin Contributions
    68

    Default Re: Upgrade Zencart version 1.5.6

    This one
    Code:
    PHP Warning: count(): Parameter must be an array or an object that implements Countable in .../admin/includes/functions/extra_functions/edit_orders_functions.php on line 662.
    is coming from Edit Orders, but line 662 of the current version of the file does not reference the count function.

    I'll suggest that you take that discussion to the plugin's support thread (https://www.zen-cart.com/showthread.php?200407), with the identification of the version of EO that you are currently using.

 

 
Page 2 of 2 FirstFirst 12

Similar Threads

  1. Replies: 2
    Last Post: 8 Nov 2017, 10:57 PM
  2. v155 adding constants - PHP Notice: Use of undefined constant
    By torvista in forum Contribution-Writing Guidelines
    Replies: 0
    Last Post: 4 May 2016, 07:07 AM
  3. Notice: Use of undefined constant
    By infocom in forum General Questions
    Replies: 2
    Last Post: 22 Apr 2010, 08:35 PM
  4. Undefined Notice: Use of undefined constant
    By TheOracle in forum Bug Reports
    Replies: 0
    Last Post: 6 May 2007, 06:33 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR